classification
Title: os.cpu_count doesn't work on VxWorks RTOS
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: corona10, pmpp, pxinwr, terry.reedy
Priority: normal Keywords: patch

Created on 2020-07-30 07:07 by pxinwr, last changed 2020-08-07 05:22 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21685 merged pxinwr, 2020-07-30 07:17
Messages (4)
msg374601 - (view) Author: Peixing Xin (pxinwr) * Date: 2020-07-30 07:07
Now os.cpu_count() always returns NONE on VxWorks RTOS. It needs to be fixed particularly for VxWorks.
msg374692 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-08-02 20:03
Do you know if any core devs have experience with VxWorks?  It is not even listed in https://devguide.python.org/experts/#platforms.
msg374793 - (view) Author: Peixing Xin (pxinwr) * Date: 2020-08-04 04:04
I don't know who have VxWorks experience in core devs. VxWorks has not been officially supported so not listed there. I am from Wind River and  Wind River can provide buildbot for VxWorks once it is supported and I also could take the maintainer role.
msg374973 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-08-07 05:22
New changeset 3405e0542839cde94df9833b3809710a67a33c7c by pxinwr in branch 'master':
bpo-41440: add os.cpu_count() support for VxWorks RTOS (GH-21685)
https://github.com/python/cpython/commit/3405e0542839cde94df9833b3809710a67a33c7c
History
Date User Action Args
2020-08-07 05:22:17corona10setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-08-07 05:22:00corona10setnosy: + corona10
messages: + msg374973
2020-08-04 04:08:01pmppsetnosy: + pmpp
2020-08-04 04:04:31pxinwrsetmessages: + msg374793
2020-08-02 20:03:01terry.reedysetnosy: + terry.reedy
messages: + msg374692
2020-07-30 07:17:03pxinwrsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20828
2020-07-30 07:07:44pxinwrcreate